
%% close_req_call
%    when request to close object comes, update the gui so that it
%    doesn't show the colours and close the figure
% inputs:
%   object:ValidationReport - current object
%   src - source of the callback calling
%   event - event that triggered the callback
% outputs:
%   none
% Author: Colin Eles elesc@mcmaster.ca
% Organization: McMaster Centre for Software Certification
function [] = close_req_call(object,src,event)
if (object.gui.Data.open)
    object.gui.check_call([],[]);
end
object.gui.validation_report_handle = 0;
delete(object.fig);
end

